<!DOCTYPE html>
<html>
<head>
    <title>Ejercicio 1 de Formularios</title>
</head>
<body>
    <form>

        <section>
            <p>Datalist</p>
            <fieldset>
                <label for="inputLista">Lista de colores</label>
                <input list="listacolores" name="inputLista">
                <datalist id="listacolores">
                    <option value="Azul">
                    <option value="Rojo">
                    <option value="Amarillo">
                    <option value="Negro">
                    <option value="Blanco">
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Output</p>
            <fieldset oninput="resultado.value=parseInt(valor1.value)+parseInt(valor2.value)">
                <p>Ingresa dos numeros <input type="number" id="valor1" value="0"> +
                <input type="number" id="valor2" value="0"> =
                <output name="resultado" for="valor1 valor2"></output>
            </fieldset>
        </section>

        <section>
            <p>Number</p>
            <fieldset>
                <p>Ingresa un numero <input type="number" name="edad">
            </fieldset>
        </section>

        <section>
            <p>Range</p>
            <fieldset>
                <input type="range" list="tickmarks">

                <datalist id="tickmarks">
                <option value="0" label="0%">
                <option value="10">
                <option value="20">
                <option value="30">
                <option value="40">
                <option value="50" label="50%">
                <option value="60">
                <option value="70">
                <option value="80">
                <option value="90">
                <option value="100" label="100%">
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Input Tel</p>
            <fieldset>
                <p>Ingresa numero telefonico <input type="tel" name="tel">
            </fieldset>
        </section>

        <section>
            <p>Input Email</p>
            <fieldset>
                <p>Ingresa email <input type="email" name="demail" value="ejemplo@ids.com.mx"></p>
            </fieldset>
        </section>

        <section>
            <p>Input Color</p>
            <fieldset>
                <p>Selecciona un color <input type="color" value="#ff0000"></p>
            </fieldset>
        </section>

        <section>
            <p>Input Search</p>
            <fieldset>
                <p>Busca un codigo de 4 digitos <input type="search" name="busquedacodigo" size="4" maxlength="4"></p>
            </fieldset>
        </section>

        <section>
            <p>URL Input</p>
            <fieldset>
                <label for="url">Lista urls</label>
                <input type="url" name="url" id="url"
                placeholder="https://example.com"
                pattern="https://.*"
                list="listaurls"
                required>
                <datalist id="listaurls">
                    <option value="0" label="cero">
                    <option value="0" label="uno">
                    <option value="0" label="dos">
                    <option value="0" label="tres">
                    <option value="0" label="cuatro">
                    <option value="0" label="cinco">

                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Input Date</p>
            <fieldset>
                <p>Fecha <input type="date" name="fecha"></p>
            </fieldset>
        </section>

        <section>
            <p>Input Datetime-local</p>
            <fieldset>
                <p>Reunion agendada <input type="datetime-local" name="horareunion"></p>
            </fieldset>
        </section>

        <section>
            <p>Input Month</p>
            <fieldset>
                <p>Selecciona un mes <input type="month" name="mes"></p>
            </fieldset>
        </section>

        <section>
            <p>Input Time</p>
            <fieldset>
                <p>Selecciona una hora<input type="time" name="tiempo"></p>
            </fieldset>
        </section>

        <section>
            <p>Input Week</p>
            <fieldset>
                <p>Selecciona una semana <input type="week" name="semana"></p>
            </fieldset>
        </section>

        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="Limpiar">

    </form>
</body>
</html>